Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.fortuna.ical4j.data
Class CalendarParserFactory

    java.lang.Object
      net.fortuna.ical4j.data.CalendarParserFactory

Direct Known Subclasses:
  DefaultCalendarParserFactory

    public abstract class CalendarParserFactory

extends Object

Provides access to the configured `CalendarParser` instance. Alternative factory implementations may be specified via the following system property:

     net.fortuna.ical4j.parser=<factory_class_name>

Author:
  Ben Fortuna

Field Summary
`static String` | `KEY_FACTORY_CLASS` The system property used to specify an alternate `CalendarParser` implementation.

Constructor Summary
`CalendarParserFactory()`

Method Summary
`abstract CalendarParser` | `createParser()` Returns a new instance of the configured `CalendarParser`.
`static CalendarParserFactory` | `getInstance()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### KEY_FACTORY_CLASS

    public static final String KEY_FACTORY_CLASS

  The system property used to specify an alternate `CalendarParser` implementation.

  See Also:
    Constant Field Values

Constructor Detail

### CalendarParserFactory

    public CalendarParserFactory()

Method Detail

### getInstance

    public static CalendarParserFactory getInstance()

  Returns:

### createParser

    public abstract CalendarParser createParser()

  Returns a new instance of the configured `CalendarParser`.

  Returns:
    a calendar parser instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2007 Modularity. All Rights Reserved.